#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

%global		package_version 0.1.3
%global		plugin_name gluster-nagios-monitoring

%global make_common_opts \\\
	PACKAGE_NAME=%{name} \\\
	RPM_VERSION=%{version} \\\
	RPM_RELEASE=%{release} \\\
	PREFIX=%{_prefix} \\\
	SYSCONF_DIR=%{_sysconfdir} \\\
	PYTHON=%{__python} \\\
	PYTHON_DIR=%{python_sitelib} \\\
	BIN_DIR=%{_bindir} \\\
	DATAROOT_DIR=%{_datadir} \\\
	MAN_DIR=%{_mandir} \\\
	%{?null}

Summary:	oVirt Engine %{plugin_name} ui-plugin
Name:		rhsc-monitoring-uiplugin
Version:	0.1.3
Release:	1%{?release_suffix}%{?dist}
License:	ASL 2.0
URL:		http://www.ovirt.org
Source:		%{name}-%{package_version}-1.tar.gz
Group:		Storage Management

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
#Requires:

%description
%{plugin_name} for oVirt

%prep
%setup -q -n %{name}-%{package_version}

%build
make %{?_smp_mflags} %{make_common_opts}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} %{make_common_opts} install DESTDIR="%{buildroot}"
install -d -m 0755 "%{buildroot}%{_sysconfdir}/ovirt-engine/ui-plugins"

%files
%dir %{_datadir}/ovirt-engine/ui-plugins/%{plugin_name}
%{_datadir}/ovirt-engine/ui-plugins/%{plugin_name}
%{_datadir}/ovirt-engine/ui-plugins/gluster-nagios-monitoring.json

%changelog
* Fri Oct 31 2014 Ramesh Nachimuthu <rnachimu@redhat.com> - 0.1.3-1
- Fixed bz#1138143 1112183

* Thu Oct 16 2014 Ramesh Nachimuthu <rnachimu@redhat.com> - 0.1.2-1
- Fixed bz#1112176

* Fri Jul 11 2014 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 0.1.1-1
- Fixed bz#1110799

* Thu May 8 2014 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 0.1.0-3
- Fix for messge-origin issue

* Wed May 7 2014 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 0.1.0-2
- Refactored trends tab layout

* Tue Apr 29 2014 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 0.1.0-1
- Added gluster-nagios-monitoring package
